Skip to main content
GET
/
messages
/
{message_id}
Retrieve a message
curl --request GET \
  --url https://api.pulsewave.dev/v1/messages/{message_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "msg_3p2k9q",
  "object": "message",
  "to": "<string>",
  "from": "<string>",
  "subject": "<string>",
  "template_id": "<string>",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Path Parameters

message_id
string
required
Example:

"msg_3p2k9q"

Response

The requested message

id
string
Example:

"msg_3p2k9q"

object
enum<string>
Available options:
message
channel
enum<string>

Delivery channel for a message

Available options:
email,
sms,
push
status
enum<string>

Current state of a message. See Messages for the full state diagram.

Available options:
queued,
sending,
sent,
delivered,
bounced,
failed,
cancelled
to
string
from
string
subject
string | null
template_id
string | null
metadata
object
created_at
string<date-time>